; Optimized panel offsets can be found at the end of the file
; /home/nureki/nakane/crystfel-0.6.0pre/src/.libs/lt-geoptimiser -i ../indexing-550/acg-dirax.stream -g ../indexing-550/sacla-15Apr-13keV-550.geom -o sacla-15Apr-13keV-550.geom -e -c connected -q independent
; Optimized panel offsets can be found at the end of the file
; CrystFEL geometry file produced by averageImageGain
;   Takanori Nakane (takanori.nakane@bs.s.u-tokyo.ac.jp)
; for tiled but NOT reassembled images (512x8192 pixels)

; NOTE:
; This file is for multi-event HDF5 files. To use in single-event
; files, you have to edit 'data' record and prepare .beam file

clen = 0.0545; You SHOULD optimize this!
res = 20000  ; 50 micron  1m /50 micron
;badrow_direction = x
;adu_per_eV = /LCLS/adu_per_eV
;max_adu = 250000 ; should NOT be used. see best practice on Web
data = /%/data ; change this to /LCLS/data for single-event files
photon_energy = /%/photon_energy_ev ; roughly 13058.821511. change this to /LCLS/photon_energy_eV for single-event files
rigid_group_q1 = q1
rigid_group_q2 = q2
rigid_group_q3 = q3
rigid_group_q4 = q4
rigid_group_q5 = q5
rigid_group_q6 = q6
rigid_group_q7 = q7
rigid_group_q8 = q8

rigid_group_collection_connected = q1,q2,q3,q4,q5,q6,q7,q8
rigid_group_collection_independent = q1,q2,q3,q4,q5,q6,q7,q8

q1/adu_per_eV = 0.000766
q1/min_fs = 0
q1/min_ss = 0
q1/max_fs = 511
q1/max_ss = 1023
q1/fs = -0.004109x -0.999992y
q1/ss = +0.999992x -0.004109y
q1/corner_x = 36.1104
q1/corner_y = 1035.14

q2/adu_per_eV = 0.000766
q2/min_fs = 0
q2/min_ss = 1024
q2/max_fs = 511
q2/max_ss = 2047
q2/fs = -0.001293x -0.999999y
q2/ss = +0.999999x -0.001293y
q2/corner_x = 33.8659
q2/corner_y = 499.736

q3/adu_per_eV = 0.000766
q3/min_fs = 0
q3/min_ss = 2048
q3/max_fs = 511
q3/max_ss = 3071
q3/fs = -0.000331x -1.000000y
q3/ss = +1.000000x -0.000331y
q3/corner_x = -16.6994
q3/corner_y = -35.0265

q4/adu_per_eV = 0.000766
q4/min_fs = 0
q4/min_ss = 3072
q4/max_fs = 511
q4/max_ss = 4095
q4/fs = -0.001098x -0.999999y
q4/ss = +0.999999x -0.001098y
q4/corner_x = -16.3057
q4/corner_y = -568.396

q5/adu_per_eV = 0.000766
q5/min_fs = 0
q5/min_ss = 4096
q5/max_fs = 511
q5/max_ss = 5119
q5/fs = +0.002918x +0.999996y
q5/ss = -0.999996x +0.002918y
q5/corner_x = 18.8122
q5/corner_y = 569.754

q6/adu_per_eV = 0.000766
q6/min_fs = 0
q6/min_ss = 5120
q6/max_fs = 511
q6/max_ss = 6143
q6/fs = +0.002189x +0.999998y
q6/ss = -0.999998x +0.002189y
q6/corner_x = 16.2842
q6/corner_y = 36.0257

q7/adu_per_eV = 0.000766
q7/min_fs = 0
q7/min_ss = 6144
q7/max_fs = 511
q7/max_ss = 7167
q7/fs = +0.001344x +0.999999y
q7/ss = -0.999999x +0.001344y
q7/corner_x = -32.9261
q7/corner_y = -497.832

q8/adu_per_eV = 0.000766
q8/min_fs = 0
q8/min_ss = 7168
q8/max_fs = 511
q8/max_ss = 8191
q8/fs = +0.000609x +1.000000y
q8/ss = -1.000000x +0.000609y
q8/corner_x = -32.7664
q8/corner_y = -1032.68


q1/coffset = 0.000023
q2/coffset = 0.000023
q3/coffset = 0.000023
q4/coffset = 0.000023
q5/coffset = 0.000023
q6/coffset = 0.000023
q7/coffset = 0.000023
q8/coffset = 0.000023
